Function
dependentSource
Test if object depends from it's source.
bool dependentSource(object)
Include Headers
seqan/align.h
Parameters

object | An object that has a source. Types: Gaps

Remarks
This function returns false, if the source is empty.
If both emptySource and dependentSource are false, object is the owner of the source.
Return Values
true if the source of object is a stand alone object that is not managed by object. false otherwise.
See Also
createSource, assignSource, emptySource, Source, moveSource, setSource
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47